This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 377181 - libgtk-x11 should depend on control-center
libgtk-x11 should depend on control-center
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 01:52 EST by Greg Martyn
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 18:28:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg Martyn 2007-11-12 01:52:26 EST
This is more of a wishlist item than a bug..

Description of problem:
Unable to change size of fonts used by Firefox after installing from KDE live cd

Version-Release number of selected component (if applicable):
fedora 8

How reproducible:
always

Steps to Reproduce:
1. Install from KDE live cd
2. yum -y install firefox
3. Firefox has huge fonts, but there is no way to change them
  
Actual results:


Expected results:
apps that use gtk should also depend on control-center so that their appearance
may be customized

Additional info:
control-center already depends on libgtk-x11
Comment 1 Matthias Clasen 2007-11-12 08:42:50 EST
Nah, thats backwards.

The KDE spin should include a kde-backed xsettings manager instead.

Comment 2 Rex Dieter 2007-11-12 08:51:38 EST
My advice: install gtk-qt-engine, and goto
Kcontrol->Appearance&Themes->GtK Styles and fonts
and make sure "Use my KDE fonts in GTK applications" option is set.

Hmm... maybe we should have tried harder to get gtk-qt-engine installed by
default. :)
Comment 3 Greg Martyn 2007-11-13 17:02:04 EST
What about when `yum install firefox`ing from a minimal system (no X11)
Comment 4 Rex Dieter 2007-11-13 18:28:51 EST
Your windowmanager is where your $DISPLAY is, not where firefox is necessarily
installed.

Seriously, gtk-qt-engine is what you're looking for here, but it isn't a hard
dependency.

Note You need to log in before you can comment on or make changes to this bug.